Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Timur Tabi <[email-masked]>
Date: Wed, 14 Feb 2007 08:05:40 -0600

David Gibson wrote:

> The interrupt-controller property in /chosen just points to the
> system's top-level interrupt controller to make it easier for the
> kernel to find in the tree.  I think most platforms don't actually
> need or use it at present, but booting-without-of does recommend it.
> 
> As such it's a property of the board, not something which will change
> from boot to boot.  It would therefore be rather strange for the
> bootloader to poke this property.

That's all the more reason to delete the 'chosen' section, isn't it? 
Sicne it's wrong, deleting the entire section will just make the problem 
go away.  Or am I missing something?